## 4.3 Teildatensätze erstellen
df <- read.csv2("data.csv", na = "NA", dec = ",", header=TRUE)

## 4.3.1 Auswahl bestimmter Variablen
df.1 <- subset(df, select = c(ID, Geschlecht, Lieblingsfarbe))
df.2 <- subset(df, select = c(2,7))
df.3 <- subset(df, select = c(2:4))

## 4.3.2 Auswahl bestimmter Fälle
df.4 <- subset(df, Lieblingsfarbe == "Grün")
df.5 <- subset(df, Lieblingsfarbe == "Grün" & Geschlecht == "w")
df.6 <- subset(df, Lieblingsfarbe == "Grün" | Lieblingsfarbe == "Gelb")
df.7 <- subset(df, (Lieblingsfarbe == "Grün" | Lieblingsfarbe == "Gelb") & (Einkommen <= 5000 & Einkommen >= 1000))


## 4.3.2 Auswahl bestimmter Fälle und Variablen
df.8 <- subset(df, (Lieblingsfarbe == "Grün" | Lieblingsfarbe == "Gelb") & Einkommen < 5000,
               select = c(Geschlecht, BMI, Motivation))