## 4.7 Variablen faktorisieren
data <- read.csv2("data.csv", na = "NA", dec = ",", header=TRUE)

# Character-Variable faktorisieren
data$Lieblingsfarbe <- as.factor(data$Lieblingsfarbe)

# Numeric-Variable faktorisieren
data$Geschlecht[data$Geschlecht == "0"] <- "m"
data$Geschlecht[data$Geschlecht == "1"] <- "w"
data$Geschlecht <- as.factor(data$Geschlecht)