## 5.1 Häufigkeiten
data <- read.csv2("data.csv", na = "NA", dec = ",", header=TRUE)

# 5.1.1 Absolute Häufigkeiten
table(data$Motivation)

# 5.1.2 Relative Häufigkeiten
# (A) Relative Häufigkeiten - ungerundet
prop.table(table(data$Motivation))

# (B) Relative Häufigkeiten – gerundet
round(prop.table(table(data$Motivation)),2)

# (C) Relative Häufigkeiten – mit 100 multipliziert und gerundet
round(prop.table(table(data$Motivation))*100,2)

#5.1.3 Kumulierte relative Häufigkeiten
#(A) Kumulierte relative Häufigkeiten
cumsum(prop.table(table(data$Motivation)))

# (B) Kumulierte relative Häufigkeiten – gerundet
round(cumsum(prop.table(table(data$Motivation))),2)

# (C) Kumulierte relative Häufigkeiten – mit 100 multipliziert und gerundet
round(cumsum(prop.table(table(data$Motivation))*100),2)

# 5.1.4 Übersichtstabelle
# Absolute Häufigkeiten
absh <- table(data$Motivation)

# Relative Häufigkeiten
relh <- round(prop.table(table(data$Motivation))*100,2)

# Kumulierte relative Häufigkeiten
kumh <- round(cumsum(prop.table (table(data$Motivation))*100),2)

# Verbinden der einzelnen Tabellen
tabelle <- cbind(absh, relh, kumh)