## 9.2 Einstichproben Wilcoxon-Test

data <- read.csv2("data.csv", na = "NA", dec = ",", header=TRUE)
data$Lieblingsfarbe <- as.factor(data$Lieblingsfarbe)
data$Geschlecht[data$Geschlecht == "0"] <- "Mann"
data$Geschlecht[data$Geschlecht == "1"] <- "Frau"
data$Geschlecht <- as.factor(data$Geschlecht)

# Median berechnen
median(data$Motivation)

# Zweiseitige Testung
wilcox.test(data$Motivation, mu = 2)

# Einseitige Testung
wilcox.test(data$Motivation, mu = 2, alternative = "greater")

# Effektstärke
install.packages("rcompanion")
library(rcompanion)
wilcoxonOneSampleR(x = data$Motivation, mu = 2)
