## 4.1.2 Daten einlesen

## CSV-Import ##
# Einlesen per Navigation im Explorer
df.2 <- read.csv2(na = "NA", dec = ",", header=TRUE, file.choose())

# Einlesen aus dem Arbeitsverzeichnis
df <- read.csv2("data.csv", na = "NA", dec = ",", header=TRUE)

# Einlesen aus bestimmtem Verzeichnis
df.2 <- read.csv2("C:/Projekt01/data.csv", na = "NA", dec = ",", header=TRUE)

## TXT-Import ##
# Einlesen aus dem Arbeitsverzeichnis
df2.1 <- read.table("data.txt", sep = "\t", header = TRUE, dec = ",", na = "NA",)

# Einlesen aus bestimmtem Verzeichnis
df2.2 <- read.table("C:/Projekt01/data.txt", sep = "\t", header = TRUE, dec = ",", na = "NA")

## XLS, XLSX-Import
# Einlesen aus dem Arbeitsverzeichnis
df3.1 <- read_excel("data.xlsx")
# Einlesen aus bestimmtem Verzeichnis und des Tabellenblatts 2 mit Übernahme der Spaltenköpfe als Variablennamen
df3.2 <- read_excel("C:/Projekt01/data.xlsx", na = "NA", sheet = 2, col_names = TRUE)

## SAV-Import ##
install.packages("haven")
library (haven)
df4 <- read_sav("data.sav")

## DTA-Import ##
install.packages("haven")
library (haven)
df5 <- read_dta("data.dta")

