## 4.2 Datensätze zusammenfügen

## 4.2.1 Fälle hinzufügen

# Mit baseR
df_gesamt <- rbind(df_a, df_b, df_c)

# Mit plyr-Paket bei fehlenden Werten
install.packages("plyr")
library(plyr)
df_gesamt <- rbind.fill(df_a, df_b)

## 4.2.2 Variablen hinzufügen
# Nutzen einer Matching-Variablen
df <- merge(data_t1, data_t2, by = "ID")

# Nutzen mehrerer Matching-Variablen
df2 <- merge(data_t1, data_t2, by = c("ID", "group"))

# Alle Fälle behalten
df <- merge(data_t1, data_t2, by = "ID", all = TRUE)

# Zwingend alle Fälle aus erstem Data Frame behalten
df <- merge(data_t1, data_t2, by = "ID", all.x = TRUE)