## 4.4 Datensätze exportieren
read.csv2("data.csv", na = "NA", dec = ",", header=TRUE)

# 4.4.1 CSV- und TXT-Export
write.csv(data, "data_neu.csv")

write.table(data, "data_neu.txt", dec = ",", sep = "\t")

# 4.4.2 XLSX-Export
install.packages("openxlsx")
library(openxlsx)
write.xlsx(data, file = "data_neu.xlsx", overwrite = TRUE,
               asTable = TRUE,
               sheetName = "Export",
               tabColour = "steelblue", startCol = "C", startRow = 5)

# 4.4.3 SAV-Export, DTA-Export
install.packages("haven")
library (haven)
write_sav(data, "data_neu.sav")
write_dta(data, "data_neu.dta")
