# 5.6 Deskriptive Statistiken für Untergruppen
data <- read.csv2("data.csv", na = "NA", dec = ",", header=TRUE)

# 5.6.1 Nutzen von tapply()
tapply(data$Einkommen, data$Geschlecht, summary)

# 5.6.2 Nutzen von describeBy()
install.packages("psych")
library(psych)
describeBy(data$Einkommen, data$Geschlecht)

# 5.6.3 Nutzen des Pipe-Operators
library(dplyr)
data %>%
 group_by(Geschlecht) %>%
 summarize(M = mean(Zufriedenheit),
           SD = sd(Zufriedenheit),) %>%
 as.data.frame()
