## 6.5 Kreisdiagramme

data <- read.csv2("data.csv", na = "NA", dec = ",", header=TRUE)
data$Lieblingsfarbe <- as.factor(data$Lieblingsfarbe)
data$Geschlecht[data$Geschlecht == "0"] <- "Mann"
data$Geschlecht[data$Geschlecht == "1"] <- "Frau"
data$Geschlecht <- as.factor(data$Geschlecht)

prozent <- round(prop.table(table(data$Lieblingsfarbe))*100,2)
farben <- c("Blau", "Gelb", "Grün", "Rot", "Schwarz")
beschriftung <- paste(farben, prozent, "%", sep = " ")

pie(table(data$Lieblingsfarbe), labels = beschriftung,
        main = "Lieblingsfarben",
        col = c("blue", "yellow", "green", "red", "black"))
