## 6.6 Q-Q-Plots

data <- read.csv2("data.csv", na = "NA", dec = ",", header=TRUE)
data$Lieblingsfarbe <- as.factor(data$Lieblingsfarbe)
data$Geschlecht[data$Geschlecht == "0"] <- "Mann"
data$Geschlecht[data$Geschlecht == "1"] <- "Frau"
data$Geschlecht <- as.factor(data$Geschlecht)

# (A) baseR
qqnorm(data$IQ)
qqline(data$IQ)

# (B) ggplot
library(ggplot2)
ggplot(data, aes(sample = IQ)) +
stat_qq() + stat_qq_line() +
labs(title = "Q-Q-Plot", x = "theoretische Quantile", y = "tatsächliche Quantile")

# (C) ggpubr
library(ggpubr)
ggqqplot(data$IQ)
