## 9.1 Einstichproben t-Test

data <- read.csv2("data.csv", na = "NA", dec = ",", header=TRUE)
data$Lieblingsfarbe <- as.factor(data$Lieblingsfarbe)
data$Geschlecht[data$Geschlecht == "0"] <- "Mann"
data$Geschlecht[data$Geschlecht == "1"] <- "Frau"
data$Geschlecht <- as.factor(data$Geschlecht)

# Mittelwert berechnen
mean(data$IQ)

# Zweiseitige Testung
t.test(data$IQ, mu = 100)

# Einseitige Testung
t.test(data$IQ, mu = 100, alternative = "greater")

# Effektstärke
install.packages("lsr")
library(lsr)
cohensD(data$IQ, mu = 100)
