## 9.3 Chi-Quadrat-Anpassungstest

data <- read.csv2("data.csv", na = "NA", dec = ",", header=TRUE)
data$Lieblingsfarbe <- as.factor(data$Lieblingsfarbe)
data$Geschlecht[data$Geschlecht == "0"] <- "Mann"
data$Geschlecht[data$Geschlecht == "1"] <- "Frau"
data$Geschlecht <- as.factor(data$Geschlecht)

# Häufigkeitstabelle
table(data$Lieblingsfarbe)

# Beobachtete Häufigkeiten in Vektor speichern
obs <- table(data$Lieblingsfarbe)

# Erwartete Häufigkeiten in Vektor speichern
exp <- c(1/5,1/5,1/5,1/5,1/5)

# Beobachtete und erwartete Häufigkeiten vergleichen mit Chi²-Test
chisq.test(x = obs, p = exp)
